Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context
Class ApplicationContextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.context.ApplicationContextException

All Implemented Interfaces:
  Serializable

    public class ApplicationContextException

extends FatalBeanException

Exception thrown during application context initialization.

Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`ApplicationContextException(String msg)` Create a new `ApplicationContextException` with the specified detail message and no root cause.
`ApplicationContextException(String msg, Throwable cause)` Create a new `ApplicationContextException` with the specified detail message and the given root cause.

Method Summary

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationContextException

    public ApplicationContextException(String msg)

  Create a new `ApplicationContextException` with the specified detail message and no root cause.

  Parameters:
    `msg` - the detail message

### ApplicationContextException

    public ApplicationContextException(String msg,
                                       Throwable cause)

  Create a new `ApplicationContextException` with the specified detail message and the given root cause.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.